#target indesign
var doc = app.activeDocument;
var ppi = 300; // разрешение jpg файла
var bleeds = [];
var myFolder = doc.filePath;
var jpg_name = doc.name.replace(/.indd$/i, "");

with(doc.documentPreferences) {
	bleeds[0] = documentBleedTopOffset;
	bleeds[1] = documentBleedBottomOffset;
	bleeds[2] = documentBleedInsideOrLeftOffset;
	bleeds[3] = documentBleedOutsideOrRightOffset;
}

with(app.jpegExportPreferences) { 
	jpegExportRange = ExportRangeOrAllPages.EXPORT_RANGE;
	antiAlias = true; 
	embedColorProfile = false;
	exportingSpread = false; 
	jpegColorSpace = JpegColorSpaceEnum.RGB;
	//jpegColorSpace = JpegColorSpaceEnum.CMYK;
	//jpegColorSpace = JpegColorSpaceEnum.GRAY;
	jpegQuality =  JPEGOptionsQuality.MAXIMUM;
	simulateOverprint = false;
	useDocumentBleeds = true;
	exportResolution = ppi;
}

for ( var i = 0; i < doc.pages.length; i++ ) {
	if (doc.pages[i].label) {
		with(doc.documentPreferences){
			documentBleedTopOffset = doc.pages[i].label.split(',')[0];
			documentBleedBottomOffset = doc.pages[i].label.split(',')[1];
			documentBleedInsideOrLeftOffset = doc.pages[i].label.split(',')[2];
			documentBleedOutsideOrRightOffset = doc.pages[i].label.split(',')[3];
		}
	} else {
		with(doc.documentPreferences){
			documentBleedTopOffset = bleeds[0];
			documentBleedBottomOffset = bleeds[1];
			documentBleedInsideOrLeftOffset = bleeds[2];
			documentBleedOutsideOrRightOffset = bleeds[3];
		};
	};
	app.jpegExportPreferences.pageString = doc.pages[i].name;
	doc.exportFile(ExportFormat.jpg, File(myFolder +"/"+ jpg_name +"_"+doc.pages[i].name+ ".jpg"), false);
}

with(doc.documentPreferences){
	documentBleedTopOffset = bleeds[0];
	documentBleedBottomOffset = bleeds[1];
	documentBleedInsideOrLeftOffset = bleeds[2];
	documentBleedOutsideOrRightOffset = bleeds[3];
};